You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     p...@freebsd.org
Last committer: ad...@freebsd.org
Ident:          $FreeBSD: head/security/p5-Crypt-Cracklib/Makefile 379946 
2015-02-25 19:01:34Z adamw $
Log URL:        
http://beefy3.nyi.freebsd.org/data/head-i386-default/p387393_s283537/logs/p5-Crypt-Cracklib-1.7_5.log
Build URL:      
http://beefy3.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p387393_s283537
Log:

====>> Building security/p5-Crypt-Cracklib
build started at Tue May 26 12:07:50 UTC 2015
port directory: /usr/ports/security/p5-Crypt-Cracklib
building for: FreeBSD head-i386-default-job-06 11.0-CURRENT FreeBSD 
11.0-CURRENT r283537 i386
maintained by: p...@freebsd.org
Makefile ident:      $FreeBSD: head/security/p5-Crypt-Cracklib/Makefile 379946 
2015-02-25 19:01:34Z adamw $
Poudriere version: 3.1.6
Host OSVERSION: 1100070
Jail OSVERSION: 1100074




!!! Jail is newer than host. (Jail: 1100074, Host: 1100070) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
UNAME_p=i386
UNAME_m=i386
OSVERSION=1100074
UNAME_v=FreeBSD 11.0-CURRENT r283537
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=p5-Crypt-Cracklib-1.7_5
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.6
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
INC="-I/usr/local/include" 
DEFINE="-DCRACKLIB_DICTPATH=\\\"/usr/local/libdata/cracklib/pw_dict\\\"" 
INSTALLDIRS="site" CC="cc" CCFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing" PREFIX="/usr/local"  INSTALLPRIVLIB="/usr/local/lib" 
INSTALLARCHLIB="/usr/local/lib"
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl 
XDG_DATA_HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work  
HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh PERL_EXTUTILS_AUTOINSTALL="--skipdeps" 
PERL_MM_USE_DEFAULT="YES"
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work  
HOME=/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work TMPDIR="/tmp" 
NO_PIE=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " 
 MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.2
PERL_VER=5.20
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/Crypt-Cracklib"
EXAMPLESDIR="share/examples/Crypt-Cracklib"
DATADIR="share/Crypt-Cracklib"
WWWDIR="www/Crypt-Cracklib"
ETCDIR="etc/Crypt-Cracklib"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/Crypt-Cracklib
DOCSDIR=/usr/local/share/doc/Crypt-Cracklib
EXAMPLESDIR=/usr/local/share/examples/Crypt-Cracklib
WWWDIR=/usr/local/www/Crypt-Cracklib
ETCDIR=/usr/local/etc/Crypt-Cracklib
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License ART10 GPLv1 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   p5-Crypt-Cracklib-1.7_5 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.5.2.txz
[head-i386-default-job-06] Installing pkg-1.5.2...
[head-i386-default-job-06] Extracting pkg-1.5.2... done
Message for pkg-1.5.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of p5-Crypt-Cracklib-1.7_5
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Crypt-Cracklib-1.7_5 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Crypt-Cracklib-1.7_5 for building
=> SHA256 Checksum OK for Crypt-Cracklib-1.7.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License ART10 GPLv1 accepted by the user
===> Fetching all distfiles required by p5-Crypt-Cracklib-1.7_5 for building
===>  Extracting for p5-Crypt-Cracklib-1.7_5
=> SHA256 Checksum OK for Crypt-Cracklib-1.7.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for p5-Crypt-Cracklib-1.7_5
===========================================================================
=======================<phase: build-depends  >============================
===>   p5-Crypt-Cracklib-1.7_5 depends on file: /usr/local/bin/perl5.20.2 - not 
found
===>    Verifying install for /usr/local/bin/perl5.20.2 in 
/usr/ports/lang/perl5.20
===>   Installing existing package /packages/All/perl5-5.20.2_4.txz
[head-i386-default-job-06] Installing perl5-5.20.2_4...
[head-i386-default-job-06] Extracting perl5-5.20.2_4... done
===>   Returning to build of p5-Crypt-Cracklib-1.7_5
===========================================================================
=======================<phase: lib-depends    >============================
===>   p5-Crypt-Cracklib-1.7_5 depends on shared library: libcrack.so - not 
found
===>    Verifying for libcrack.so in /usr/ports/security/cracklib
===>   Installing existing package /packages/All/cracklib-2.9.4.txz
[head-i386-default-job-06] Installing cracklib-2.9.4...
[head-i386-default-job-06] `-- Installing gettext-runtime-0.19.4...
[head-i386-default-job-06] |   `-- Installing indexinfo-0.2.3...
[head-i386-default-job-06] |   `-- Extracting indexinfo-0.2.3... done
[head-i386-default-job-06] `-- Extracting gettext-runtime-0.19.4... done
[head-i386-default-job-06] Extracting cracklib-2.9.4... done
===>   Returning to build of p5-Crypt-Cracklib-1.7_5
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for p5-Crypt-Cracklib-1.7_5
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Test::Pod::Coverage ...missing. (would need 1.08)
- Pod::Coverage       ...missing. (would need 0.19)
- Test::More          ...loaded. (1.001002 >= 0.47)
*** Module::AutoInstall configuration finished.
Checking if your kit is complete...
Looks good
Warning: prerequisite Pod::Coverage 0.19 not found.
Warning: prerequisite Test::Pod::Coverage 1.08 not found.
Generating a Unix-style Makefile
Writing Makefile for Crypt::Cracklib
Writing MYMETA.yml and MYMETA.json
===========================================================================
=======================<phase: build          >============================
===>  Building for p5-Crypt-Cracklib-1.7_5
cp Cracklib.pm blib/lib/Crypt/Cracklib.pm
Running Mkbootstrap for Crypt::Cracklib ()
chmod 644 Cracklib.bs
/usr/local/bin/perl5.20.2 "-Iinc" /usr/local/lib/perl5/5.20/ExtUtils/xsubpp  
-typemap /usr/local/lib/perl5/5.20/ExtUtils/typemap  Cracklib.xs > Cracklib.xsc 
&& mv Cracklib.xsc Cracklib.c
cc -c  -I/usr/local/include  -O2 -pipe  -fstack-protector -fno-strict-aliasing 
-g -Wall -Werror    -DVERSION=\"1.7\"  -DXS_VERSION=\"1.7\" -DPIC -fPIC 
"-I/usr/local/lib/perl5/5.20/mach/CORE"  
-DCRACKLIB_DICTPATH=\"/usr/local/libdata/cracklib/pw_dict\" Cracklib.c
In file included from Cracklib.xs:5:
In file included from /usr/local/lib/perl5/5.20/mach/CORE/perl.h:5199:
/usr/local/lib/perl5/5.20/mach/CORE/inline.h:311:9: error: nonnull parameter 
'pv' will evaluate to 'true' on first encounter 
[-Werror,-Wpointer-bool-conversion]
    if (pv && len > 1) {
        ^~ ~~
1 error generated.
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/security/p5-Crypt-Cracklib/work/Crypt-Cracklib-1.7
*** Error code 1

Stop.
make: stopped in /usr/ports/security/p5-Crypt-Cracklib
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to